Bug 1567646 - TV set detected as 7 inch screen (via HDMI)
Summary: TV set detected as 7 inch screen (via HDMI)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 18:13 UTC by Jan Gundtofte-Bruun
Modified: 2018-11-30 21:11 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1051872
Environment:
Last Closed: 2018-11-30 21:11:25 UTC
Type: Bug


Attachments (Terms of Use)
Full-screen screenshot; the browser window fills the entire VISIBLE display. (155.88 KB, image/png)
2018-04-15 18:13 UTC, Jan Gundtofte-Bruun
no flags Details

Description Jan Gundtofte-Bruun 2018-04-15 18:13:11 UTC
Created attachment 1422288 [details]
Full-screen screenshot; the browser window fills the entire VISIBLE display.

+++ This bug was initially created as a clone of Bug #1051872 +++

Description of problem:
I've got a 26" Samsung TV set where my computer is plugged on. The TV is detected as 'Samsung Electric Company 7"'.
Gnome3 seems to use this size information to scale text it displays. This way every text on screen is huge.


Version-Release number of selected component (if applicable):


How reproducible:
Always since I updated to F20.


Steps to Reproduce:
1.
2.
3.

Actual results:
Text is displayed too big in Gnome3 (only with Gnome3 on F20)

Expected results:
The screen size is well detected so the text size is well sized on Gnome3.

Additional info:
This has already been reported here by mochapenguin : https://fedoraproject.org/wiki/Test_Day:2013-10-23_Graphics_Radeon#Results

--- Additional comment from Griffin Milsap on 2014-01-14 18:43:27 EST ---

I'd like to add that I'm seeing this same problem with an NVIDIA card.  I do not believe this problem is specific to xorg-x11-drv-ati, xorg-x11-drv-nvidia, or even xorg-x11-drv-nouveau as I'm getting this problem with or without proprietary nvidia drivers installed.

Perhaps xrandr is to blame?

--- Additional comment from Griffin Milsap on 2014-01-14 18:50:15 EST ---

(In reply to Griffin Milsap from comment #1)
> I'd like to add that I'm seeing this same problem with an NVIDIA card.  I do
> not believe this problem is specific to xorg-x11-drv-ati,
> xorg-x11-drv-nvidia, or even xorg-x11-drv-nouveau as I'm getting this
> problem with or without proprietary nvidia drivers installed.
> 
> Perhaps xrandr is to blame?

Also, relevant console output:

$ xrandr | grep mm
DVI-I-1 connected primary 1680x1050+1920+0 (normal left inverted right x axis y axis) 473mm x 296mm
HDMI-0 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 160mm x 90mm
DVI-D-0 connected 1280x800+3600+0 (normal left inverted right x axis y axis) 150mm x 94mm
$ xdpyinfo | grep -B1 dot
  dimensions:    4880x1080 pixels (1291x286 millimeters)
  resolution:    96x96 dots per inch

--- Additional comment from Griffin Milsap on 2014-01-21 15:38:09 EST ---

Possible duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1031367

--- Additional comment from Johannes on 2014-05-12 16:00:58 EDT ---

I can concur that the same thing happens when a Samsung LCD-TV is connected to a A/V Receiver (Denon). In this case an Asus B206 (ATI) is reporting a 7" Denon monitor.

--- Additional comment from Hans de Goede on 2014-05-14 05:33:46 EDT ---

Nicolas, Griffin and Johannes, can you please attach your /var/log/Xorg.0.log and /var/log/gdm/:0.log files here ?

--- Additional comment from Hans de Goede on 2014-05-14 05:52:56 EDT ---



--- Additional comment from Hans de Goede on 2014-05-14 05:58:21 EDT ---



--- Additional comment from Hans de Goede on 2014-05-14 06:02:22 EDT ---

So I've a 24" Samsung TV which has the same issue, looking at the logs it seems that the TV is simply lying about its size, its EDID info reports:

[    27.110] (II) RADEON(0): Supported detailed timing:
[    27.110] (II) RADEON(0): clock: 148.5 MHz   Image Size:  160 x 90 mm
[    27.110] (II) RADEON(0): h_active: 1920  h_sync: 2008  h_sync_end 2052 h_bl ...
[    27.110] (II) RADEON(0): v_active: 1080  v_sync: 1084  v_sync_end 1089 v_bl ...

Notice the size, I guess Samsung is doing this because people tend to sit further away from a television then from a computer monitor, so they are reporting a 7" screen size to make the OS show everything bigger then normal.

If you're using gnome, you can do "yum install gnome-tweak-tool", then run gnome-tweak-tool, goto Fonts and lower the scaling factor, that has made things usable for me.

--- Additional comment from Nicolas GIF on 2014-05-15 01:33:57 EDT ---



--- Additional comment from Nicolas GIF on 2014-05-15 01:35:34 EDT ---



--- Additional comment from Johannes on 2014-05-19 13:42:57 EDT ---



--- Additional comment from Johannes on 2014-05-19 13:46:01 EDT ---



--- Additional comment from Johannes on 2014-05-19 14:03:27 EDT ---

I've just reported the EDID data anomality to Samsung support. They have reported in the past within a week or so.

--- Additional comment from Fedora End Of Life on 2015-05-29 06:27:32 EDT ---

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2015-06-29 10:23:02 EDT ---

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from Jan Gundtofte-Bruun on 2018-04-14 16:31:05 EDT ---

Sorry, but I am seeing this bug in a brand-new Fedora 27 (MATE version).

I don't know what you'll need to know, so here is some info from 'inxi':

System:    Host: popcorn.neverhood Kernel: 4.15.15-300.fc27.x86_64 x86_64 bits: 64 Desktop: MATE 1.19.3
           Distro: Fedora release 27 (Twenty Seven)
Machine:   Device: desktop Mobo: ASRock model: H110M-ITX serial: N/A UEFI: American Megatrends v: P7.00 date: 10/27/2016
Battery    hidpp__0: charge: N/A condition: NA/NA Wh
CPU:       Dual core Intel Celeron G3930 (-MCP-) cache: 2048 KB
           clock speeds: max: 2900 MHz 1: 800 MHz 2: 799 MHz
Graphics:  Card: Intel HD Graphics 610
           Display Server: x11 (X.org 119.6 ) drivers: modesetting (unloaded: fbdev,vesa) Resolution: 1920x1080
           OpenGL: renderer: Mesa DRI Intel HD Graphics 610 (Kaby Lake GT1) version: 4.5 Mesa 17.3.6

My TV set is a crappy old Samsung "le32n71bx/xee", which was working fine when connected via VGA to a laptop (except there was a buzz in the audio which varied according to general brightness of the displayed image; this does not happen over HDMI).

I just now upgraded to a much better HTPC running Fedora 27, and it was working excellently when plugged into my desktop monitor -- but when connected to the TV, I can apparently only see the middle 4/5ths (or so) of the desktop.

I have been struggling with xrandr and modelines, but just end up looking at a blue screen saying "resolution not supported".

Please help me fix this!

Created a clone of the original bug, because it said to report if it still happens, and commenting on it did not seem to change its status. So here's a new status.

I have also added a screen shot of my entire (logical) screen. In it, the outside edges of the browser window represents the entirety of what is actually visible on my HDMI-connected TV display (so arguably less than the 4/5th I had estimated earlier, but still missing areas with vital controls).

Comment 1 Jan Gundtofte-Bruun 2018-04-16 18:44:01 UTC
I forgot to mention, this happens even during boot. The "[  OK  ] blabla" log is missing its first 5 characters, only showing the right-most edge of the "K" as two green dots at the edge of the display.

This makes it very hard to work on the machine while trying to research a solution.

Comment 2 Jan Gundtofte-Bruun 2018-04-23 18:57:17 UTC
Nevermind, I've bought a newer TV set that has a toggle option for overscan, so I am now seeing the entire display.

Comment 3 Ben Cotton 2018-11-27 16:03:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:11:25 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.